## org.apache.ivy.plugins.matcher
Interface Matcher

All Known Implementing Classes:
  AnyMatcher, NoMatcher

    public interface Matcher

An interface that defines a string matcher.

Method Summary
`boolean` `isExact()` Return if the matcher will match *only* if the expression equals the input.
`boolean` `matches(java.lang.String input)` Check whether a given string is matched by this matcher.

Method Detail

### matches

    boolean matches(java.lang.String input)

  Check whether a given string is matched by this matcher.

  Parameters:
    `input` - the string to be matched. Cannot be null.
  Returns:
    true if the input string is matched, false otherwise.

### isExact

    boolean isExact()

  Return if the matcher will match *only* if the expression equals the input. WARN: This is used only as a performance trick, to avoid scanning for things when you already know exactly what you want. In the install task where it used it avoid scanning the repository to list all modules to find that only one matches, and that it has the name requested.

  Returns:
    true if the matcher only matches when the expression is equals to the input, false otherwise.